from time import sleep
import asyncio

import sys
sys.path.append('..')
from TREx.indication_driver import IndicationDriver

async def __main__():
    task = asyncio.create_task(indication_driver.indicate_async("BOTTLE"))
    await asyncio.sleep(5)
    indication_driver.stop_loop()
    await task
    indication_driver.clear()

indication_driver = IndicationDriver()
asyncio.run(__main__())
sleep(2)
indication_driver.indicate("CAN")
sleep(2)
indication_driver.clear()